'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const sqlFormatter = require('sql-formatter');

const SQL = Symbol.for("jest-snapshot-serializer-sql");
const test = (value) => value && typeof value[SQL] === "string";
const serialize = (value) => value[SQL];
const sql = (value, options) => ({ [SQL]: sqlFormatter.format(value, options) });
const mysql = (value, options) => ({
    [SQL]: sqlFormatter.format(value, { ...options, language: "mysql" }),
});
const postgresql = (value, options) => ({
    [SQL]: sqlFormatter.format(value, { ...options, language: "postgresql" }),
});

exports.mysql = mysql;
exports.postgresql = postgresql;
exports.serialize = serialize;
exports.sql = sql;
exports.test = test;
//# sourceMappingURL=index.cjs.map
