import { format } from 'sql-formatter';

const SQL = Symbol.for("jest-snapshot-serializer-sql");
const test = (value) => value && typeof value[SQL] === "string";
const serialize = (value) => value[SQL];
const sql = (value, options) => ({ [SQL]: format(value, options) });
const mysql = (value, options) => ({
    [SQL]: format(value, { ...options, language: "mysql" }),
});
const postgresql = (value, options) => ({
    [SQL]: format(value, { ...options, language: "postgresql" }),
});

export { mysql, postgresql, serialize, sql, test };
//# sourceMappingURL=index.js.map
